/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  [2002] - [2007] Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated
 * and its suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package flex.messaging.config;

/**
 * Stores configuration settings for a shared server instance.
 * <tt>ServerConfigurationParser</tt> will generate an instance for each shared server
 * defined in the configuration file.
 * The <tt>MessagingConfiguration</tt> instance using the parser will store these and
 * use them to configure the <tt>MessageBroker</tt> with shared server instances.
 *
 * @exclude
 */
public class SharedServerSettings extends PropertiesSettings
{
    private String id;

    public String getId()
    {
        return id;
    }

    public void setId(String value)
    {
        id = value;
    }

    private String className;

    public String getClassName()
    {
        return className;
    }

    public void setClassName(String value)
    {
        className = value;
    }
    
    private String sourceFile;
    
    public String getSourceFile()
    {
        return sourceFile;
    }
    
    public void setSourceFile(String value)
    {
        sourceFile = value;
    }
}
